/**
 * @file GCharFlipAdaptor.hpp
 */

/* Copyright (C) 2004-2008 Dr. Ruediger Berlich
 * Copyright (C) 2007-2008 Forschungszentrum Karlsruhe GmbH
 *
 * This file is part of Geneva, Gemfony scientific's optimization library.
 *
 * Geneva is free software: you can redistribute it and/or modify
 * it under the terms of version 3 of the GNU Affero General Public License
 * as published by the Free Software Foundation.
 *
 * Geneva is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with the Geneva library.  If not, see <http://www.gnu.org/licenses/>.
 */

// Standard header files go here
#include <string>
#include <sstream>
#include <vector>

// Includes check for correct Boost version(s)
#include "GGlobalDefines.hpp"

// Boost header files go here

#include <boost/cstdint.hpp>

#ifndef GCHARFLIPADAPTOR_HPP_
#define GCHARFLIPADAPTOR_HPP_

// GenEvA header files go here

#include "GIntFlipAdaptorT.hpp"


namespace Gem {
namespace GenEvA {

/** All "real" functionality is implemented in GIntFlipAdaptorT and its parent classes */
typedef GIntFlipAdaptorT<char> GCharFlipAdaptor;

} /* namespace GenEvA */
} /* namespace Gem */

#endif /* GCHARFLIPADAPTOR_HPP_ */
